<?php
namespace Service\Calendar\Restriction\Strategy;

use Service\Calendar\TaskCalendar;

interface RestrictionStrategy {

    public function __construct($task, TaskCalendar $taskCalendar);

    public function getDatesBeginAndEnd($setAllocation = true);
    public function getDatesByPrecursor($beginTask,$endTask);
    public function getDatesMinAndMax($dateBeginMax,$dateEndMin);

}